#ifndef GAINSPIN_H
#define GAINSPIN_H

#include <QDoubleSpinBox>

class GainSpin : public QDoubleSpinBox {
  Q_OBJECT
public:
  explicit GainSpin(QWidget *parent = nullptr);

private:
  void stepBy(int steps); // catch value changed
signals:
  void valueChanged(bool); // emit value changed up/down
};

#endif // GAINSPIN_H
